package com.syaroful.agrilinkvocpro.data.model

data class SensorDataResponse(
    val data: SensorData?,
    val message: String?,
    val statusCode: Int?
)

data class SensorData(
    val dht: Dht?,
    val npk1: Npk?,
    val npk2: Npk?
)

data class Dht(
    val viciTemperature: Number?,
    val viciHumidity: Number?,
    val viciLuminosity: Number?
)

data class Npk(
    val soilTemperature: Number?,
    val soilHumidity: Number?,
    val soilConductivity: Number?,
    val soilPh: Number?,
    val soilNitrogen: Number?,
    val soilPhosphorus: Number?,
    val soilPotassium: Number?
)